%global npmname supervisor
%global npminstdir /usr/lib/node_modules/%{npmname}
#%global deplist 

Summary: A supervisor program for running nodejs programs
Name: nodejs-%{npmname}
Version: 0.4.1
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/isaacs/node-supervisor
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
A little supervisor script for nodejs. It runs your program,
and watches for code changes, so you can have hot-code 
reloading-ish behavior, without worrying about memory leaks 
and making sure you clean up all the inter-module references, 
and without a whole new require system. 

%prep
%setup -q -n package

%build

%install
# Setup and copy packages over
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{npminstdir}
cp -pr lib package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Run the scripts (except test scripts)

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{npminstdir}/lib/cli-wrapper.js %{buildroot}%{_bindir}/node-supervisor
ln -s %{npminstdir}/lib/cli-wrapper.js %{buildroot}%{_bindir}/supervisor

%clean
rm -rf %{buildroot}

%files
%doc README.md
%{npminstdir}
%{_bindir}/node-supervisor
%{_bindir}/supervisor

%changelog
* Wed Sep 05 2012 Troy Dawson <tdawson@redhat.com> - 0.4.1-2
- Rewored spec file using tchor template

* Wed Sep 05 2012 Troy Dawson <tdawson@redhat.com> - 0.4.1-1
- Initial build

